System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Object System.Collections.ICollection

Use this class to programmatically manage a collection of objects that represent the selected dates in a control. This class is commonly used to add or remove dates from the collection.

This collection stores only whole dates. The time portion of each is removed. The dates are stored in ascending order. If there are duplicate dates, only one date is stored in the collection.

Encapsulates a collection of objects that represent the selected dates in a control. This class cannot be inherited.

- Constructor

  Use this constructor to create a new instance of the class.

  This constructor is primarily used by control developers when extending the class.

  Initializes a new instance of the class with the specified date list.

  An that represents a collection of dates.
  1.0.5000.0
  2.0.0.0
- Method
  System.Void ``

  Use this method to add the specified object to the end of the collection.

  Appends the specified object to the end of the collection.

  The to add to the collection. 1.0.5000.0 2.0.0.0
- Method
  System.Void

  Use this method to remove all objects from the collection and set the property to 0.

  Removes all objects from the collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Boolean ``

  Use this method to determine whether the collection contains the specified object.

  Returns a value indicating whether the collection contains the specified object.

  true if the contains the specified ; otherwise, false.

  The to search for in the . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  Use this method to copy the contents of the collection into the specified , starting at the specified index.

  The parameter must be a zero-based .

  Copies the items from the collection to the specified , starting with the specified index.

  A zero-based that receives the copied items from the . The first index in the specified to receive the items. 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int'

  Use this property to determine the number of dates in the collection. The property is often used when iterating through the collection to determine the upper bound.

  Gets the number of objects in the collection.

  1.0.5000.0
  2.0.0.0
- Method
  System.Collections.IEnumerator

  Use this method to create an -implemented object that can be easily iterated through to get each item in the collection.

  Use the property to get the item currently pointed to in the collection.

  Use the method to move to the next item in the collection.

  Use the method to move the enumerator back to the initial position.

  The method needs to be called after creating an -implemented object or using the method to move the enumerator to the first item in the collection. Otherwise, the item represented by the property is undefined.

  Returns an -implemented object that contains all objects within the collection.

  An -implemented object that contains all objects within the .

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  This property always returns false to indicate that the collection can be written to in all cases.

  Gets a value indicating whether the collection is read-only.

  1.0.5000.0
  2.0.0.0
- Property
  System.Boolean To be added: an object of type 'bool'

  This property is derived from and is overridden to always return false.

  For more information on the property, see the property of the interface.

  Gets a value indicating whether access to the collection is synchronized (thread safe).

  1.0.5000.0
  2.0.0.0
- Property
  System.DateTime `` To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Void ``

  Use this method to remove the specified object from the collection.

  Removes the specified object from the collection.

  The to remove from the . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  Use this method to add the specified range of dates to the collection.

  Adds the specified range of dates to the collection.

  A that specifies the initial date to add to the . A that specifies the end date to add to the . 1.0.5000.0 2.0.0.0
- Property
  System.Object To be added: an object of type 'object'

  The object returned in this implementation is the object itself.

  For more information on the property, see the property of the interface.

  Gets the object that can be used to synchronize access to the collection.

  1.0.5000.0
  2.0.0.0